<div>
    <h2>
        <span jhiTranslate="pcidssApp.address.home.title">Addresses</span>
        <button class="btn btn-primary float-right create-address" [routerLink]="['/', { outlets: { popup: ['address-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="pcidssApp.address.home.createLabel">
            Create new Address
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="addresses">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="street1"><span jhiTranslate="pcidssApp.address.street1">Street 1</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="street2"><span jhiTranslate="pcidssApp.address.street2">Street 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="city"><span jhiTranslate="pcidssApp.address.city">City</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="postalCode"><span jhiTranslate="pcidssApp.address.postalCode">Postal Code</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="state"><span jhiTranslate="pcidssApp.address.state">State</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="province"><span jhiTranslate="pcidssApp.address.province">Province</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="country"><span jhiTranslate="pcidssApp.address.country">Country</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="url"><span jhiTranslate="pcidssApp.address.url">Url</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let address of addresses ;trackBy: trackId">
                <td><a [routerLink]="['../address', address.id ]">{{address.id}}</a></td>
                <td>{{address.street1}}</td>
                <td>{{address.street2}}</td>
                <td>{{address.city}}</td>
                <td>{{address.postalCode}}</td>
                <td>{{address.state}}</td>
                <td>{{address.province}}</td>
                <td>{{address.country}}</td>
                <td>{{address.url}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../address', address.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'address/'+ address.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'address/'+ address.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="addresses && addresses.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
